Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Problem with installing Mplayer

  1. #1
    Join Date
    Jul 2009
    Location
    Holland
    Posts
    47

    Question Problem with installing Mplayer

    I try to install the Mplayerplugin from this tutorial
    mplayerplug-in

    But when I configured the plugin the Terminal gave me this message
    Code:
    awo@OnzeComputer:~/Downloads/mplayerplug-in-3.55> ./configure --enable-pp --enable-mp3lame --enable-faad --enable-a52 --enable-faac --enable-gpl
    checking for g++... g++
    checking for C++ compiler default output file name... a.out
    checking whether the C++ compiler works... yes
    checking whether we are cross compiling... no
    checking for suffix of executables... 
    checking for suffix of object files... o
    checking whether we are using the GNU C++ compiler... yes
    checking whether g++ accepts -g... yes
    checking for gcc... gcc
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking for a BSD-compatible install... /usr/bin/install -c
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    configure: Determining mozilla/firefox packages to build against
    checking for pkg-config... /usr/bin/pkg-config
    checking for mozilla-plugin mozilla-xpcom... configure: WARNING: mozilla-plugin not found
    checking for firefox-plugin firefox-xpcom... configure: WARNING: firefox-plugin not found
    checking for seamonkey-plugin seamonkey-xpcom... configure: WARNING: seamonkey-plugin not found
    checking for xulrunner-plugin xulrunner-xpcom... configure: WARNING: xulrunner-plugin not found
    checking for libxul... configure: WARNING: libxul not found
    checking for iceape-plugin iceape-xpcom... configure: WARNING: iceape-plugin not found
    configure: error: Unable to find mozilla or firefox development files
    How can I solve this
    Coffee is like Linux, only cool people use it. Tea is like Windows, only losers use it.

  2. #2
    Join Date
    Jun 2008
    Location
    Mallow, Ireland
    Posts
    1,031
    Blog Entries
    1

    Default Re: Problem with installing Mplayer

    Did you try installing mplayer plugin from packman? Should be there.

    Just add Packman to the list of repositories in Yast and search for mplayer under 'install software'.

    There should be no real need to compile any software from source unless you cannot find it as a rpm. Using a repo is the prefered way to install software and it makes it very easy to remove things as well.

    Have a look here for a better explination -> Yast/Modules/Software Management and Welcome to applications
    Good luck!
    Last edited by Dexter1979; 21-Aug-2009 at 05:42. Reason: added second link
    "To err is human... to really foul up requires the root password."

  3. #3
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Problem with installing Mplayer

    Hi,

    Mplayer and the Mplayer plugin are both in the Pacman repository. If you have the Packman repository just open up Yast Software Managment and search for Mplayer. Otherwise here's a How To on how to configure and manage your package repositories:

    Repository Management - openSUSE Forums

    Then refer to this How-to on getting your multimedia codecs and extra repositories configured:

    Multi-media and Restricted Format Installation Guide - openSUSE Forums

    Then it's as simple as searching for then installing Mplayer and Mplayer plugin through Yast.

    Take Care,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,488
    Blog Entries
    15

    Default Re: Problem with installing Mplayer

    Quote Originally Posted by ijbreakey
    Hi,

    Mplayer and the Mplayer plugin are both in the Pacman repository. If
    you have the Packman repository just open up Yast Software Managment and
    search for Mplayer. Otherwise here's a How To on how to configure and
    manage your package repositories:

    'Repository Management - openSUSE Forums' (http://tinyurl.com/d36dml)

    Then refer to this How-to on getting your multimedia codecs and extra
    repositories configured:

    'Multi-media and Restricted Format Installation Guide - openSUSE
    Forums' (http://tinyurl.com/6or387)

    Then it's as simple as searching for then installing Mplayer and
    Mplayer plugin through Yast.

    Take Care,

    Ian
    Hi
    Also note that mplayer plugin is being deprecated to be release with
    geeko-mediaplayer. Have a look at this thread;
    Unable
    to play apple site trailers

    Whilst packman has the player it's not the latest, I have built the
    latest version and links are in the above thread.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.29-0.1-default
    up 20:29, 2 users, load average: 2.26, 2.19, 2.14
    GPU GeForce 8600 GTS Silent - Driver Version: 190.18


  5. #5
    Join Date
    Jul 2009
    Location
    Holland
    Posts
    47

    Default Re: Problem with installing Mplayer

    Okay, Mplayer and the Mplayer plugin are installed. I installed several multimedia codecs

    Code:
    rpm --query --all 'libav*' 'libpostproc*' 'libswscale*' '*xine*' '*gst*' MPlayer '*vlc*' | grep -v avahi | sort 
    banshee-1-backend-engine-gstreamer-1.4.3-1.2.1
    gstreamer-0_10-0.10.24-9.1
    gstreamer-0_10-ffmpeg-0.10.7-42.pm.1
    gstreamer-0_10-lang-0.10.24-9.1
    gstreamer-0_10-plugins-bad-0.10.8-6.6.1
    gstreamer-0_10-plugins-bad-lang-0.10.8-6.6.1
    gstreamer-0_10-plugins-base-0.10.23-42.pm.1
    gstreamer-0_10-plugins-base-lang-0.10.23-42.pm.1
    gstreamer-0_10-plugins-good-0.10.10-3.22.1
    gstreamer-0_10-plugins-ugly-0.10.12-42.pm.1
    gstreamer-0_10-plugins-ugly-lang-0.10.12-42.pm.1
    gstreamer-0_10-schroedinger-1.0.7-5.1
    gstreamer-0_10-utils-0.10.24-9.1
    gstreamer-utils-0.10.24-9.1
    kde3-amarok-xine-1.4.10-38.1
    libavc1394-0-0.5.3-129.6
    libavcodec52-0.5.0.19672-1.1
    libavdevice52-0.5-0.pm.3
    libavfilter0-0.5.0.19672-1.1
    libavformat52-0.5-0.pm.3
    libavutil49-0.5-0.pm.3
    libavutil50-0.5.0.18774-1.1
    libgstapp-0_10-0-0.10.8-6.6.1
    libgstinterfaces-0_10-0-0.10.24-7.4
    libgstreamer-0_10-0-0.10.24-9.1
    libgstreamer-0_10-0-32bit-0.10.24-9.1
    libpostproc51-0.5-0.pm.3
    libswscale0-0.5-0.pm.3
    libvlc2-1.0.1-2.3
    libvlc5-1.1.0-2009082002.1
    libvlccore0-0.9.9a-2.9
    libvlccore2-1.0.1-2.3
    libvlccore3-1.1.0-2009052101.1
    libvlccore4-1.1.0-2009082002.1
    libxine1-1.1.16.3-0.pm.3
    libxine1-codecs-1.1.16.3-0.pm.3
    libxine1-gnome-vfs-1.1.16.3-0.pm.3
    libxine1-pulse-1.1.16.3-0.pm.3
    MPlayer-1.0rc2_r29116-2.pm.2
    phonon-backend-gstreamer-0_10-4.3.1-31.1
    phonon-backend-xine-4.1.3-4.2.9
    python-gstreamer-0_10-0.10.15-42.pm.1
    vlc-1.0.1-2.3
    vlc-aout-pulse-1.0.1-2.3
    vlc-gnome-1.0.1-2.3
    vlc-mozillaplugin-1.0.1-2.3
    vlc-noX-1.0.1-2.3
    vlc-qt-1.0.1-2.3
    xinetd-2.3.14-129.35
    xine-ui-0.99.5cvs-20090203.pm.0821
    Why can't I watch all videomaterial on the internet?
    Like video from Uitzendinggemist.nl
    Coffee is like Linux, only cool people use it. Tea is like Windows, only losers use it.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,488
    Blog Entries
    15

    Default Re: Problem with installing Mplayer

    Quote Originally Posted by OrangeSuse
    Okay, Mplayer and the Mplayer plugin are installed. I installed several
    multimedia codecs
    <snip>
    Why can't I watch all videomaterial on the internet?
    Like video from 'Uitzendinggemist.nl'
    (http://www.uitzendinggemist.nl/?)

    Hi
    Have you installed the w32codec pack from packman?

    That link works fine in SLED with the monshine plugin, which would
    indicate you need the above. It's also playing with geeko-mediaplayer
    on 11.2M5

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.29-0.1-default
    up 1 day 1:00, 2 users, load average: 0.52, 0.38, 0.27
    GPU GeForce 8600 GTS Silent - Driver Version: 190.18


  7. #7
    Join Date
    Jul 2009
    Location
    Holland
    Posts
    47

    Default Re: Problem with installing Mplayer

    Gecko-Mediaplayer, w32codec and moonshine are installed en up to date. What else can be the problem?
    Coffee is like Linux, only cool people use it. Tea is like Windows, only losers use it.

  8. #8
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: Problem with installing Mplayer

    Are you want to watch that videos in browser?
    which browser you are using?
    Is it FF?
    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

  9. #9
    Join Date
    Jul 2009
    Location
    Holland
    Posts
    47

    Default Re: Problem with installing Mplayer

    Yes I use FF and I try to watch video in FF, because of the other users on this computer. When I can't get it done to watch it in FF i'll try other options.
    Watching in VLC give me also a problem:

    Code:
    vlc http://player.omroep.nl/?aflID=10005288
    VLC media player 1.0.1 Goldeneye
    [0x608038] main libvlc: Start vlc met standaardinterface. Gebruik 'cvlc' om vlc zonder interface te gebruiken.
    ^C[0x73a348] signals interface error: Caught Onderbreken signal, exiting...
    Coffee is like Linux, only cool people use it. Tea is like Windows, only losers use it.

  10. #10
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: Problem with installing Mplayer

    Try this simple step and enjoy your videos.

    open yast -> software management -> search (enter this keyword: mplayerplug-in)
    and install it, restart the browser and there you go.
    Remember to enable packman repo.
    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •